API Docs > 2 > API Authorization > Update a Scope PUT
Update a Scope Try it with your credentials Fills <placeholders> in code examples on this page Subdomain saved in browser • Access token tab-only • Client ID & Secret never stored. Details — Clear saved data
Update an Authorization Server scope.
Resource URL https://<subdomain>.onelogin.com/api/2/api_authorizations/:id/scopes/:scope_id Authorization
required
string
Set to bearer <access_token>.
Set <access_token> to the access token you generated using the Generate Token API.
The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: Manage All.
Content-Type
required
string
Set to application/json.
Resource Parameters id
required
integer
The id of the authorization server.
scope_id
required
integer
The id of the scope.
Request Parameters value
required
string
A value representing the api scope that with be authorized
description
required
string
A description of what access the scope enables
Request Body {
" value " : " custom:scope " ,
" description " : " A custom scope "
}
```html
<h 2 >Sample Responses</h 2 >
<div class= " tab-group " >
<ul class= " tab-links " >
<li class= " t-link status-200 active " data-tab= " 1 " > 200 OK</li>
<li class= " t-link status-401 " data-tab= " 2 " > 401 Unauthorized</li>
<li class= " t-link status-401 " data-tab= " 3 " > 404 Not Found</li>
<li class= " t-link status-422 " data-tab= " 4 " > 422 Unprocessable Entity</li>
</ul>
<div class= " tab-views " >
<div class= " t-view active " data-tab= " 1 " >
```json
{
" id " : 323005
} Typically, this error means that your access token value is invalid.
{
" message " : " Unauthorized " ,
" statusCode " : 401 ,
" name " : " UnauthorizedError "
} Invalid API Authorization Server ID or Invalid Scope ID
{
" message " : " The resource with the given id could not be found " ,
" statusCode " : 404 ,
" name " : " NotFoundError "
} A scope with this name already exists
{
" message " : " Validation failed: Value has already been taken " ,
" statusCode " : 422 ,
" name " : " UnprocessableEntityError "
} Response Elements idUnique ID for the Scope
Postman Collection
Sample Code cURL Replace sample values indicated by < > with your actual values.
Update a Scope curl ' https://<subdomain>.onelogin.com/api/2/api_authorizations/:id/scopes/:scope_id ' \
-X PUT \
-H " Authorization: bearer <access_token> " \ -d ' {
"value": "custom:scope",
"description": "A custom scope"
} ' Have a Question? Looking for walkthroughs or how-to guides? Check out our Knowledge Base .
Have a product idea or request? Share it in our Ideas Portal .